The leksah package

[Tags: gpl, library, program]

An Integrated Development Environment for Haskell written in Haskell.

[Skip to ReadMe]


Versions0.1, 0.1.1, 0.4,,,, 0.4.1, 0.4.2,, 0.4.3, 0.4.4,, 0.6.0, 0.6.1, 0.8,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,, (info)
Change logNone available
Dependenciesbase (>=, binary (>=0.4.4), bytestring (>=, Cabal (==, containers (>=, directory (>=, filepath (>=, ghc (>=6.10.1), glib (>=0.10), gtk (>=0.10), gtksourceview2 (>=0.10.0), mtl (>=, old-time (>=, parsec (>=, pretty (>=, process (>=, regex-posix (==, utf8-string (>= [details]
Copyright2007-2009 Jürgen Nicklisch-Franken
CategoryDevelopment, IDE, Editor
Home page
Bug tracker
UploadedTue Mar 17 19:46:23 UTC 2009 by JuergenNicklischFranken
DistributionsDebian:, Fedora:
Downloads8372 total (429 in last 30 days)
0 []
StatusDocs not available [build log]
All reported builds failed as of 2015-06-03 [all 1 reports]


Maintainers' corner

For package maintainers and hackage trustees

Readme for leksah-0.4.3

Leksah, an Integrated Development Environment for Haskell

This is Leksah, a hopefully practical tool to support the Haskell development process.

Leksah uses GTK+ as GUI Toolkit with the gtk2hs binding. It is plattform independend
and should run on any plattform where GTK+, gtk2hs and ghc can be installed.
It is currently been tested on Windows and Linux. It uses the Cabal package management
and build system for Package Management.
It currently only supports the Glasgow Haskell Compiler (ghc).

Documentation can be found in the doc/ subdirectory.

System Requirements

Leksah currently requires:
    GHC version 6.10.x
    gtk2hs 0.9.14
    other dependencies see cabal file

Leksah works better if you install GHC and additional packages with sources

If you are a user or just test Leksah, we would appreciate to here from you.

Please send questions and suggestions to the developers